curl --location --request POST 'https://api.explo.co/api/create_customer/' \
--header 'Content-Type: application/json' \
--header 'Explo-Authorization: Token <token>' \
--data-raw '{
"provided_id": "example_1",
"name": "Example 1",
"mapping": {"40": "213", "134": "386"},
"properties": {"filterValue": "value"},
"emails": ["[email protected]"],
"group_tags" : ["sales"],
"hierarchy_level_name": "Customer"
}'
{
"success": 1,
"new_customer": true,
"customer": {
"token": "<customer_token_to_auth_dashboard>",
"name": "Example 1",
"provided_id": "example_1",
"is_demo_group": false,
"emails": ["[email protected]"],
"group_tags": ["sales"],
"properties": { "filterValue": "value" },
"computed_properties": { "filterValue": "value" },
"access_group": "Production",
"parent_schema_datasource_mapping": {"40": "213": "134": 386"},
"computed_parent_schema_datasource_mapping": {"40": "213": "134": 386"},
"hierarchy_level": "Customer"
}
}
Customer API
Get or Create Customer
POST
/
api
/
create_customer
/
curl --location --request POST 'https://api.explo.co/api/create_customer/' \
--header 'Content-Type: application/json' \
--header 'Explo-Authorization: Token <token>' \
--data-raw '{
"provided_id": "example_1",
"name": "Example 1",
"mapping": {"40": "213", "134": "386"},
"properties": {"filterValue": "value"},
"emails": ["[email protected]"],
"group_tags" : ["sales"],
"hierarchy_level_name": "Customer"
}'
{
"success": 1,
"new_customer": true,
"customer": {
"token": "<customer_token_to_auth_dashboard>",
"name": "Example 1",
"provided_id": "example_1",
"is_demo_group": false,
"emails": ["[email protected]"],
"group_tags": ["sales"],
"properties": { "filterValue": "value" },
"computed_properties": { "filterValue": "value" },
"access_group": "Production",
"parent_schema_datasource_mapping": {"40": "213": "134": 386"},
"computed_parent_schema_datasource_mapping": {"40": "213": "134": 386"},
"hierarchy_level": "Customer"
}
}
This endpoint gets or creates a new customer. If a customer with the given provided_id does not exist, a new customer will be created. The response contains the created or already-existing customer and a flag denoting whether a new customer was created.
Body
string
The display name of your customer in Explo.
string
The ID you use to identify this customer in your database. This is also the ID you will use to
reference your customer in Explo queries or access your customer via the API. For more information
on example usage, check out this section.
object
A set of key-values pairs that map a schema id to the data source that this customer loads data
from. For more information on schemas and data sources, check out this
section.
boolean
A boolean representing whether this customer is a “demo customer.” Setting this to true will make
data panels include a demo watermark for the customer. Demo customers do not count towards paid
customers. Default value is false.
string[]
An array of email addresses to add to the customer.
string[]
An array of group tag names to assign to the customer. Group tag names must be of existing group
tags, and these can be created with the create_group_tag endpoint.
string
The name of the hierarchy level to assign to the customer. Must be an existing hierarchy level. If
no level is specified, the created customer will be assigned to the root (highest) level of the
hierarchy. If you do not have a hierarchy set up and would like one, reach out to customer
support.
string
An identifier for a parent customer matching the parent’s
provided_id. If provided, the customer
will be set as a child of the parent customer, and will have its computed_properties and
computed_parent_schema_datasource_mapping fields inherit values from the parent customer.
Parents must belong to the same data visibility group as their children. Parents must also be at a
strictly higher hierarchy level than their children, so you’ll need to explicitly set the
hierarchy_level_name to be at a level below the parent’s level. You can contact customer support
to set up a hierarchy for your customers.object
A set of key-value pairs assigned to this customer. These will be accessible through variables in
the dashboards and SQL editor. More information on properties can be found in this
section.
Response
number
Indicates whether the call was successful. 1 if successful, 0 if not.
boolean
Indicates whether a new customer was created.
object
The contents of the customer
Show Toggle object
Show Toggle object
string
The customer token (customerToken or CUSTOMER_TOKEN) that will be used to identify which customer
is viewing the dashboard. You should save this on your end to use when rendering an embedded
dashboard by passing this token into the web component or iframe. Example usage
here.
string
The display name you provided for your customer in Explo.
string
The ID you use to identify this customer in your database that you provided. This is also the ID
you will use to reference your customer in Explo queries or access your customer via the API. For
more information on example usage, check out this section.
object
An array of email addresses you provided for your customer.
object
An array of group tag names that have been assigned to this customer.
string
The name of the assigned hierarchy level.
string or null
If present, the name of the assigned data visibility group.
boolean
True if this customer is a demo customer, which means that data panels will include a demo
watermark for the customer. Demo customers do not count towards paid customers.
JSON or null
A set of key-value pairs assigned to this customer. These will be accessible through variables in
the dashboards and SQL editor. More information on properties can be found in this
section.
JSON
A properties object based on the provided properties of this customer and any inherited properties
from parent customers.
JSON | Null
A set of key-values pairs that map a schema id to the data source that this customer loads data
from. For more information on schemas and data sources, check out this
section.
JSON
A schema datasource mapping object based on the parent_schema_datasource_mapping of the customer
and any inherited parent_schema_datasource_mapping from parent customers.
curl --location --request POST 'https://api.explo.co/api/create_customer/' \
--header 'Content-Type: application/json' \
--header 'Explo-Authorization: Token <token>' \
--data-raw '{
"provided_id": "example_1",
"name": "Example 1",
"mapping": {"40": "213", "134": "386"},
"properties": {"filterValue": "value"},
"emails": ["[email protected]"],
"group_tags" : ["sales"],
"hierarchy_level_name": "Customer"
}'
{
"success": 1,
"new_customer": true,
"customer": {
"token": "<customer_token_to_auth_dashboard>",
"name": "Example 1",
"provided_id": "example_1",
"is_demo_group": false,
"emails": ["[email protected]"],
"group_tags": ["sales"],
"properties": { "filterValue": "value" },
"computed_properties": { "filterValue": "value" },
"access_group": "Production",
"parent_schema_datasource_mapping": {"40": "213": "134": 386"},
"computed_parent_schema_datasource_mapping": {"40": "213": "134": 386"},
"hierarchy_level": "Customer"
}
}